﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNet.Mvc;
using Infragistics.Web.Mvc;

namespace MVC6_sample.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {
            List<Item> items = new List<Item>();
            for (int i = 0; i < 20; i++)
            {
                items.Add(new Item() { ID = i, Name = "Name" + i, Quantity = i * 2 });
            }
            return View(items.AsQueryable());
        }


    }
}
